#
# spec file for package python-psycopg
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-psycopg
Version:        1.1.21
Release:        4.2
Url:            http://initd.org/projects/psycopg1
Summary:        Python-PostgreSQL Database Adapter
License:        GPL-2.0+
Group:          Development/Languages/Python
Source:         psycopg-%{version}.tar.gz
Patch0:         %{name}-destdir.patch
Patch1:         %{name}-lib64.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:	postgresql-devel
BuildRequires:  python-egenix-mx-base-devel
Requires:	python-egenix-mx-base
%if 0%{?suse_version}
%py_requires
%endif
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%description
Psycopg is a PostgreSQL database adapter for the Python programming language. It
was written from scratch with the aim of being very small and fast, and stable
as a rock. The main advantages of psycopg are that it supports the full Python
DBAPI-2.0, being thread safe at level 2 and providing some very useful
extensions like the user-defined type casters.

Psycopg is different from the other database adapter because it was designed for
heavily multi-threaded applications that create and destroy lots of cursors and
make a conspicuous number of concurrent INSERTs or UPDATEs. Every open Python
connection keeps a pool of real (UNIX or TCP/IP) connections to the database.
Every time a new cursor is created, a new connection does not need to be opened;
instead one of the unused connections from the pool is used. That makes psycopg
very fast in typical client-server applications that create a servicing thread
every time a client request arrives.

%prep
%setup -q -n psycopg-%{version}
%patch0
%if "%{_lib}"=="lib64"
%patch1
%endif

%build
%configure \
    --with-python="%__python" \
    --with-python-prefix="%{_usr}" \
    --with-postgres-includes="%{_includedir}/pgsql" \
    --with-postgres-libraries="%{_libdir}" \
    --with-mxdatetime-includes="%{py_sitedir}/mx/DateTime/mxDateTime"

%install
%make_install

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING CREDITS FAQ NEWS README RELEASE* TODO doc
%{python_sitearch}/*

%changelog
* Thu Sep 22 2011 saschpe@suse.de
- Added a proper changes file, a spec file header
- Removed outdated stuff (%%clean section, authors, ...)
* Wed Jul 23 2008 guru@unixtech.be
- fixed Requires
* Tue Jul 22 2008 guru@unixtech.be
- new package
